Bug 59137 - Tests fail on Windows with "System.Net.Sockets.SocketException : An operation was attempted on something that is not a socket."
Summary: Tests fail on Windows with "System.Net.Sockets.SocketException : An operation...
Status: RESOLVED FIXED
Alias: None
Product: Runtime
Classification: Mono
Component: io-layer (show other bugs)
Version: master
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: johan.lorensson
URL:
Depends on:
Blocks:
 
Reported: 2017-08-31 09:28 UTC by Alexander Köplinger [MSFT]
Modified: 2017-10-25 08:28 UTC (History)
3 users (show)

Tags: clean-ci
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Alexander Köplinger [MSFT] 2017-08-31 09:28:11 UTC
Interestingly it only seems to happen on Windows x64, haven't seen it on x86 in the last 60 days.

HttpRequestStreamTest.CanRead shows up quite often, but it seems in general to happen in tests that use the https://github.com/mono/mono/blob/master/mcs/class/test-helpers/SocketResponder.cs

Examples:

https://jenkins.mono-project.com/job/z/label=w64/5524/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5524/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5519/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5512/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5506/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5491/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5485/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5482/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5477/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5465/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5465/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5449/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5448/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5429/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5426/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5423/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5422/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5421/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5420/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5419/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5418/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5416/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5413/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5404/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5401/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5392/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5379/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5344/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5339/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5331/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5319/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5317/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5315/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5314/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5304/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5299/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5291/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5283/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5283/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5282/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5273/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5270/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5268/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5267/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5267/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5264/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5261/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5257/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5237/testReport/
https://jenkins.mono-project.com/job/z/label=w64/5234/testReport/
Comment 1 johan.lorensson 2017-09-14 09:50:32 UTC
Should be fixed by:

https://github.com/mono/mono/pull/5573